Сайтът е с една стъпка по-близо до Python3

Публикувано на

Благодарение на новата версия на django-tinymce (1.5.2), която има съвместтимост с Python 3 благодарение на този мой къмит ( https://github.com/aljosa/django-tinymce/commit/1df8fe70f081419e7e79ed8c9f8d1a2644c814df ), сайтът вече е с една стъпка по-близо да работи под Python 3. Новата версия на django-tinymce също така е съвместима и с последната версия на Django, а именно 1.6, която е с официална съвместимост с Python 3, а не както версия 1.5 - с експериментална.

За съжаление не всички външни приложения са съвместими с Python 3. Все оше django-disqus няма потдръжка, защото моят pull request не е приет https://github.com/arthurk/django-disqus/pull/23, което означава, че няма официална версия в PyPi. Трябва да се инсталира версията от моето Github репозитори, но това е "лек" проблем при използването на OpenShift хостинга.

Сходен е и проблема с django-imagekit. Има отворен pull request от 3 месеца https://github.com/matthewwithanm/django-imagekit/pull/247, който добавя съвместимост с Python 3. За съжаление в моя pull request не съм оправил тестовете да работят под Python 3, заради което не е приет. На последък нямам достатъчно свободно време за да мога да довърша започнатото.

В крайна сметка важното е, че първите крачки са направени, за да може сайтът ми да започне да работи под Python 3

blog comments powered by Disqus